from typing import Tuple

def my_division_raise(a: int, b: int) -> Tuple[int, int]:
    """
    Divides a by b and returns the quotient and the remainder.
    If b is zero, it raises a ZeroDivisionError.
    """
    if b == 0:
        raise ZeroDivisionError("Division by zero is not allowed!")
    
    return a // b, a % b

def my_division(a: int, b: int) -> Tuple[int, int]:
    """
    Divides a by b and returns the quotient and the remainder.
    If b is zero, it prints an error message and returns None, None.
    """
    try:
        return a // b, a % b
    except ZeroDivisionError as e:
        print(e)
        return None, None
    

if __name__ == "__main__":
    print(my_division(10, 3))
    print(my_division(10, 0))

    print(my_division_raise(10, 3))
    print(my_division_raise(10, 0))